Zum Hauptinhalt springen

Get the activities of a project

GET/v2/projects/{projectId}/activities/
v2
GET
project-list-project-activities

Request

  • projectIdstring
    required

Responses

Response-Header

  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

application/json

List of all activities.

  • Array[
    • *object
      • action
        required
      • aggregateobject
        required
        • aggregatestring
          required
        • domainstring
          required
        • idstring
          required
      • dateTimestring (date-time)
        required
      • impersonatorobject

        Null or empty object. If set, the action was executed by an mittwald employee.

      • userobject
        • idstring
          required
        • typestring (one of: user, extension)
          required
    ]

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/activities?aggregateName=string&aggregateDomain=string&aggregateId=string&startTime=1985-10-26T01%3A21%3A00.000Z&endTime=1985-10-26T01%3A21%3A00.000Z&fulltextSearch=string&limit=50&page=1&sort=dateTime&order=asc